# OpenGl_tgl.h File Reference

`#include <InterfaceGraphic_Cextern.hxx>`
`#include <InterfaceGraphic_X11.hxx>`
`#include <InterfaceGraphic_Graphic3d.hxx>`
`#include <InterfaceGraphic_Visual3d.hxx>`
`#include <OpenGl_inquire.h>`

## Defines

#define | EXPORT

## Functions

EXPORT void | call_togl_set_environment (char *)
EXPORT void | call_togl_inquirefacilities (void)
EXPORT void | call_togl_polygon_set (CALL_DEF_GROUP *, CALL_DEF_LISTFACETS *)
EXPORT void | call_togl_curve (CALL_DEF_GROUP *, CALL_DEF_LISTPOINTS *)
EXPORT void | call_togl_redraw_immediat_mode (CALL_DEF_VIEW *)
EXPORT void | call_togl_redraw_layer2d (CALL_DEF_VIEW *aview, CALL_DEF_LAYER *alayer)

## Variables

CALL_DEF_INQUIRE | call_facilities_list

## Define Documentation

#define EXPORT

## Function Documentation

EXPORT void call_togl_curve | ( | CALL_DEF_GROUP * | ,
|  | CALL_DEF_LISTPOINTS * |
| ) |

EXPORT void call_togl_inquirefacilities | ( | void |  | ) |

EXPORT void call_togl_polygon_set | ( | CALL_DEF_GROUP * | ,
|  | CALL_DEF_LISTFACETS * |
| ) |

EXPORT void call_togl_redraw_immediat_mode | ( | CALL_DEF_VIEW * |  | ) |

EXPORT void call_togl_redraw_layer2d | ( | CALL_DEF_VIEW * | aview,
|  | CALL_DEF_LAYER * | alayer
| ) |

EXPORT void call_togl_set_environment | ( | char * |  | ) |

## Variable Documentation

CALL_DEF_INQUIRE call_facilities_list